/**
 * These implementations mirror the Bitcoin Script based implementations used.
 * They are necessary to ensure that we produce the same results as the oracles.
 */
export declare const precision = 16;
export declare const scale: number;
export declare const e: number;
/**
 * Works for numbers between 100 and 0.001
 */
export declare function log2(x: number): number;
export declare function log(x: number): number;
export declare function log10(x: number): number;
/**
 * Adapted from https://github.com/PetteriAimonen/libfixmath/blob/master/libfixmath/fix16_exp.c
 */
export declare function exp(x: number): number;
